Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.scope
Class GreedyFitSolverPhaseScope

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhaseScope
          org.drools.planner.core.constructionheuristic.greedyFit.scope.GreedyFitSolverPhaseScope

    public class GreedyFitSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`GreedyFitStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(GreedyFitStepScope lastCompletedStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`assertExpectedWorkingScore, assertUndoMoveIsUncorrupted, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpend, calculateScore, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingPlanningEntityList, getWorkingRandom, getWorkingSolution, isBestSolutionInitialized, reset, setBestSolutionStepIndex, setStartingScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreedyFitSolverPhaseScope

    public GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public GreedyFitStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(GreedyFitStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.